'use client';
import { useCallback, useContext, useEffect, useState, use } from 'react';
import { DevCycleClientContext } from './DevCycleClientsideProvider';
export const useVariable = (key, defaultValue) => {
    const [_, forceRerender] = useState({});
    const forceRerenderCallback = useCallback(() => forceRerender({}), []);
    const context = useContext(DevCycleClientContext);
    // Fall back to nearest suspense boundary if client is not initialized yet.
    if (context.enableStreaming) {
        use(context.serverDataPromise);
    }
    useEffect(() => {
        context.client.subscribe(`variableUpdated:${key}`, forceRerenderCallback);
        return () => {
            context.client.unsubscribe(`variableUpdated:${key}`, forceRerenderCallback);
        };
    }, [key, forceRerenderCallback]);
    return context.client.variable(key, defaultValue);
};
export const useVariableValue = (key, defaultValue) => {
    return useVariable(key, defaultValue).value;
};
export default useVariableValue;
//# sourceMappingURL=useVariableValue.js.map