import { jsx as _jsx } from "react/jsx-runtime";
import hoistNonReactStatics from 'hoist-non-react-statics';
import { DevCycleProvider } from '@devcycle/react-client-sdk';
// eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
export const appWithDevCycle = (WrappedComponent, additionalOptions = {}) => {
    const AppWithDevCycle = (props) => {
        const devcycleSSR = props.pageProps
            ._devcycleSSR;
        const onServerside = typeof window === 'undefined';
        if (!devcycleSSR) {
            return _jsx(WrappedComponent, { ...props });
        }
        return (_jsx(DevCycleProvider, { config: {
                user: devcycleSSR.user,
                sdkKey: devcycleSSR.sdkKey,
                options: {
                    ...additionalOptions,
                    disableAutomaticEventLogging: onServerside,
                    disableCustomEventLogging: onServerside,
                    disableRealtimeUpdates: onServerside,
                    disableConfigCache: true,
                    bootstrapConfig: devcycleSSR.bucketedConfig,
                    next: {},
                },
            }, children: _jsx(WrappedComponent, { ...props }) }));
    };
    return hoistNonReactStatics(AppWithDevCycle, WrappedComponent);
};
//# sourceMappingURL=appWithDevCycle.js.map