import { initializeDevCycle, } from '@devcycle/js-client-sdk';
import { getClient, setClient, setOptions, setSDKKey } from './requestContext';
import { getUserIdentity, identifyUser } from './identify';
import { getDevCycleServerData } from './devcycleServerData';
import { getUserAgent } from './userAgent';
const jsClientOptions = {
    // pass next object to enable "next" mode in JS SDK
    next: {},
    disableConfigCache: true,
    disableRealtimeUpdates: true,
    disableAutomaticEventLogging: true,
    disableCustomEventLogging: true,
};
export const setupContext = (sdkKey, user, options = {}) => {
    setSDKKey(sdkKey);
    setOptions(options);
    setClient(initializeDevCycle(sdkKey, user, {
        ...options,
        deferInitialization: true,
        ...jsClientOptions,
    }));
    identifyUser(user);
};
export const initialize = async () => {
    const context = await getDevCycleServerData();
    const client = getClient();
    const user = getUserIdentity();
    if (!client || !user) {
        throw new Error("React 'cache' function not working as expected. Please contact DevCycle support.");
    }
    client.synchronizeBootstrapData(context.config, user, getUserAgent());
    return context;
};
//# sourceMappingURL=initialize.js.map